import java.io.IOException;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Scanner;

public class LetoltoKliens {
	public static void main(String[] args) throws IOException {
		final String GEP = "localhost";
		final int PORT = 12345;

		egyFajltLetolt(GEP, PORT, "a.txt");
		System.out.println();
		egyFajltLetolt(GEP, PORT, "abc.txt");
		System.out.println();
		egyFajltLetolt(GEP, PORT, "src/Szerver.java");
	}

	private static void egyFajltLetolt(final String GEP, final int PORT, String letoltendoFajlnev)
			throws IOException, UnknownHostException {
		try (
			Socket s = new Socket(GEP, PORT);
			Scanner sc = new Scanner(s.getInputStream());
			PrintWriter pw = new PrintWriter(s.getOutputStream());
		) {
			String idV1 = sc.nextLine();
			String idV2 = sc.nextLine();
			String szamokOsszege = sc.nextLine();
			System.out.println("id v1: " + idV1);
			System.out.println("id v2: " + idV2);
			System.out.println("szamokOsszege: " + szamokOsszege);

			pw.println("letolt");
			pw.println(letoltendoFajlnev);
			pw.flush();
			
			while (sc.hasNextLine()) {
				String sor = sc.nextLine();
				System.out.println(sor);
			}
		}
	}
}
