
import java.io.IOException;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Scanner;

public class MasodikSzerver {
	public static void main(String[] args) throws IOException {
		final int PORT = 12345;
		ServerSocket ss = new ServerSocket(PORT);

		try (
			Socket s = ss.accept();
			Scanner sc = new Scanner(s.getInputStream());
			PrintWriter pw = new PrintWriter(s.getOutputStream());
		) {
			int count = sc.nextInt();
			String text = sc.next();

			// helyesDeLassu(pw, count, text);
			// helyesEsGyors(pw, count, text);
			helyesEsGyors2(pw, count, text);
		}
	}

	private static void helyesEsGyors2(PrintWriter pw, int count, String text) {
		for (int i = 0; i < count; i++) {
			pw.print(text);
		}
		pw.println();
		pw.flush();
	}

	private static void helyesEsGyors(PrintWriter pw, int count, String text) {
		StringBuilder reply = new StringBuilder();
		for (int i = 0; i < count; i++) {
			reply.append(text);
		}
		pw.println(reply.toString());
		pw.flush();
	}

	private static void helyesDeLassu(PrintWriter pw, int count, String text) {
		String reply = "";
		for (int i = 0; i < count; i++) {
			reply += text;
		}
		pw.println(reply);
		pw.flush();
	}
}
