import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.PrintWriter;
import java.net.Socket;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Kliens {
	public static void main(String[] args) throws IOException {
		final String GEP = "localhost";
		final int PORT = 12345;

		try (
			Socket s = new Socket(GEP, PORT);
			Scanner sc = new Scanner(s.getInputStream());
			PrintWriter pw = new PrintWriter(s.getOutputStream());
		) {
			List<Integer> fajlbolSzamok = fajlbolSzamokatOlvas();
			int valaszDb = fajlbolSzamok.size();
			
			szervernekAdatokatKld(pw, fajlbolSzamok);
			valasztFogad(sc, valaszDb);
		}
	}

	private static void valasztFogad(Scanner sc, int valaszDb) throws FileNotFoundException {
		try (PrintWriter pw = new PrintWriter(new File("out.txt"))) {
			for (int i = 0; i < valaszDb; i++) {
				int valasz = sc.nextInt();
				pw.println(valasz);
			}
			pw.flush();
		}
	}

	private static void szervernekAdatokatKld(PrintWriter pw, List<Integer> fajlbolSzamok) {
		for (Integer szam : fajlbolSzamok) {
			pw.println(szam);
		}
		
		pw.println("vege");
		pw.flush();
	}

	private static List<Integer> fajlbolSzamokatOlvas() throws FileNotFoundException {
		List<Integer> bejovoAdatok = new ArrayList<>();
		try (Scanner scFajl = new Scanner(new File("a.txt"));) {
			while (scFajl.hasNextInt()) {
				bejovoAdatok.add(scFajl.nextInt());
			}
		}
		return bejovoAdatok;
	}
}
